using System.Runtime.InteropServices;

namespace Decal.Interop.Inject;

[TypeLibType(16)]
[ComVisible(false)]
public interface IViewEvents_Event
{
	event IViewEvents_OnActivateEventHandler OnActivate;

	event IViewEvents_OnDeactivateEventHandler OnDeactivate;

	event IViewEvents_SizeEventHandler Size;

	event IViewEvents_SizingEventHandler Sizing;
}
